import pygame
import math
import random

# Initialize
pygame.init()

# create the screen ( Wide Height)
screen = pygame.display.set_mode((1024, 768))

# Plane game player
playerImg = pygame.image.load("plane.png")
playerX = 576
playerY = 192
playerX_change = 0
playerY_change = 0
playerSpeed = 0.3

# Plane game Gold  // with random coordinate
goldImg = pygame.image.load("drop.png")
goldX = random.randint(530, 960)
goldY = random.randint(10, 300)


def collide(px, py, gx, gy):
    distance = math.sqrt((math.pow(px-gx, 2)) + (math.pow(py-gy, 2)))
    if distance < 27:
        return True
    else:
        return False


def player(screen, x, y):
    screen.blit(playerImg, (x, y))


def gold(screen, x, y):
    screen.blit(goldImg, (x, y))


# Jump game player
cactusImg = pygame.image.load("aircraft2.png")
cactusX = 70
cactusY = 400
cactusY_change = +0.1
controlling = True


def cactus(screen, x, y):
    screen.blit(cactusImg, (x, y))


def building_collide(px, py, ex, ey):
    return 0

# Dodge da missile player


frontImg = pygame.image.load("aircraft_front.png")
frontX = 200
frontY = 50
frontX_change = 0


def front(screen, x, y):
    screen.blit(frontImg, (x, y))


missileImg = pygame.image.load("missile_up.png")
missileX = random.randint(20, 450)
missileY = 300


def missile(screen, x, y):
    screen.blit(missileImg, (x, y))


building1Img = pygame.image.load("drawing.png").convert()
buildingX = 1100
buildingY = random.randint(500, 700)
building2X = 1500
building2Y = random.randint(500, 700)


def B1(screen, x, y):
    screen.blit(building1Img, (x, y))
